dependency:
  name: galaxy
  options:
    ignore-certs: True
    ignore-errors: False
    requirements-file: molecule/default/collections.yml
    role-file: molecule/default/requirements.yml
driver:
  name: docker
platforms:
  - &template
    name: instance-1
    image: mpaivabarbosa/molecule-systemd-ubuntu:20.04
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    privileged: true
    pre_build_image: true
    override_command: false
    groups:
      - managers
    networks:
      - name: net1
  - !!merge <<: *template
    name: instance-2
    published_ports:
      - 0.0.0.0:9001:9001/tcp
    groups:
      - workers
  - !!merge <<: *template
    name: instance-3
    groups:
      - workers
provisioner:
  name: ansible
  inventory:
    links:
      hosts: inventory.yml
  ansible_args:
    - -D
  config_options:
    defaults:
      stdout_callback: yaml
lint: ansible-lint .
